{
    pkgs,
    ...
}: {
    services.xserver = {
        enable = true;
        windowManager.i3 = {
            enable = true;
            extraPackages = with pkgs; [
                rofi
                picom
                polybar
            ];
        };
        displayManager = {
            lightdm.enable = true;
        };
        xkb = {
            layout = "fr";
            variant = "";
        };
    };

    services.displayManager.defaultSession = "none+i3";
}